#ifndef _chunk_h_

#define _chunk_h_

typedef struct chunk {
    char         *attribute;
    char         *value;
    struct chunk *next;
} Chunk;

extern char *chunk_get_value(Chunk *chunk, char *attribute);
extern Chunk  *chunk_build(char *attribute, char *value);
extern Boolean chunk_extend(Chunk *chunk, char *attribute, char *value);
extern void    chunk_dispose(Chunk *chunk);

#endif
